<?php

//---------------------------------------------
//load cube settings
//---------------------------------------------
    
if (file_exists('cube/3dcube.xml'))
{
    $xml = simplexml_load_file('cube/3dcube.xml');
}
else
{
    die('settings file is missing');
}

//---------------------------------------------
//hardcoded sample entries
//---------------------------------------------

// load 6 images
for ($i = 1; $i <= 6; $i++) {      
  $image[$i] = Array(
    'ImagePath' 			=>		'cube/images/img'. (($i < 10) ? '0'.$i : $i) .'.png',
    'ImageLink'				=>		'',
    'ImageLinkTarget' =>		'',
    'Content1'				=>		'Click on the image to return to the Cube.',
    'Content2'				=>		"<font color='#FCAB33' size='14'><b>Orange bold text</b></font><br><br><font color='#dcdcdc' size='11'>White text: Lorem ipsum ne sed dicam intellegat, has et partem principes tincidunt. Ius nemore ponderum ea, feugait assentior.</font><br><br><font color='#0071F6' size='11'><u>Blue underlined text: Nonumy utamur instructior qui an. No munere discere consetetur pro, dicunt molestie ea nam.</u></font><br><br><font color='#00FF33' size='11'><a href='http://www.3dcarousel.com' target='_blank'>This is a link: Eam facer dolor nominati te, at vim alii vero aeterno. Te congue tollit sea, vitae aliquyam et mei, facilis vivendo.</a></font><br><br><font color='#dcdcdc' size='11'>Image:</font><img src='cube/images/mediaantb.jpg' width='136' heigh='26' /><br><br><br><br><font color='#dcdcdc' size='11'>Image with link:</font><a href='http://www.3dcarousel.com' target='_blank'><img src='cube/images/mediaantb.jpg' width='136' heigh='26' /></a>",
    'JSFunction'			=>		''
    );
}

// static content 1
$static[0] = Array(
  'Attributes'  =>  Array(
          'HTML'          =>  'true',
          'AntiAliasing'  =>  'false',
          'Align'         =>  'left',
          'Bold'          =>  'false',
          'Italic'        =>  'false',
          'Font'          =>  'Verdana',
          'FontColor'     =>  '#000000',
          'FontSize'      =>  '11',
          'Leading'       =>  '0',
          'Underline'     =>  'false',
          'Left'          =>  '10',
          'Top'           =>  '270',
          'Width'         =>  '250',
          'Height'        =>  '40',
          'TopMost'       =>  'true',
          'BgColor'       =>  '',
          'Border'        =>  'false',
          'BorderColor'   =>  '#bc0000',
          'VisibleOnCubePage'   =>  'true',
          'VisibleOnDetailPage' =>  'false'
      ),
  'Content'     =>  "<font color='#666666' size='9'>Click on the Cube to see the details page</font>"
  );
  
// static content 2
$static[1] = Array(
  'Attributes'  =>  Array(
          'HTML'          =>  'true',
          'AntiAliasing'  =>  'false',
          'Align'         =>  'left',
          'Bold'          =>  'false',
          'Italic'        =>  'false',
          'Font'          =>  'Verdana',
          'FontColor'     =>  '#000000',
          'FontSize'      =>  '11',
          'Leading'       =>  '0',
          'Underline'     =>  'false',
          'Left'          =>  '470',
          'Top'           =>  '270',
          'Width'         =>  '200',
          'Height'        =>  '30',
          'TopMost'       =>  'true',
          'BgColor'       =>  '',
          'Border'        =>  'false',
          'BorderColor'   =>  '#bc0000',
          'VisibleOnCubePage'   =>  'true',
          'VisibleOnDetailPage' =>  'true'
      ),
  'Content'     =>  "<a href='http://www.3dcarousel.com' target='_blank'><font color='#bc0000' size='10'>mediaANT 3D Cube</font></a>"
  );

// hardcoded sample entries - END

foreach ($image as $entry)
{
	$tag = $xml->Images->addChild('Image');
	foreach ($entry as $key => $value)
	{
		$tag->addChild($key, '<![CDATA['.htmlentities($value).']]>');
	}
}

foreach ($static as $entry)
{
	$tag = $xml->StaticContents->addChild('StaticContent');
	
	foreach ($entry['Attributes'] as $a_key => $a_value)
	{
    $tag->addAttribute($a_key, $a_value);
	}
	
	$tag->addChild('Content', '<![CDATA['.htmlentities($entry['Content']).']]>');
}

print_r(html_entity_decode($xml->asXML()));

?>